FreeMat

- Main Page
- Related Pages

vtkPExtractHistogram2D

Section: Visualization Toolkit Infovis Classes

# Usage

This class does exactly the same this as vtkExtractHistogram2D, but does it in a multi-process environment. After each node computes their own local histograms, this class does an AllReduce that distributes the sum of all local histograms onto each node.

To create an instance of class vtkPExtractHistogram2D, simply invoke its constructor as follows

      obj = vtkPExtractHistogram2D

# Methods

The class vtkPExtractHistogram2D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPExtractHistogram2D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPExtractHistogram2D = obj.NewInstance ()`
- `vtkPExtractHistogram2D = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )`
- `vtkMultiProcessController = obj.GetController ()`